Continuous Integration (Cl) - Feature #15020

Use configurable sort criteria for each Cl phase
01/05/2017 12:27 PM - Vito Di Benedetto

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Vladimir Podstavkov % Done: 100%
Category: Estimated time: 6.00 hours
Target version: vi_4 0 RC Spent time: 6.00 hours
Experiment: - Stakeholders:

Description

Depending on the Cl phase it can be desirable to have a different sort criteria for the items showed by each Cl phase.

We can define a flag/parameter in the Cl DB to be associated at each Cl phase.
The value of this flag will define the sort criteria to be used.
The default sorting criteria will be to sort items according to their status (this is the actual sort criteria used)

This flag/parameter name is "sort_criteria"
and its value is a string that is used as key work to define the sort criteria.

The sort criteria we identified up to now, with the associate key word, are:
key word; description:

status: sort by status severity (failure, warning, successful)

id: sort by ID in the DB

alphabetic: sort by alphabetic order

The default sort criteria, if missing, is "status"

As needed, more sort criteria can be added with the corresponding key word.

Related issues:
Related to Continuous Integration (Cl) - Task #15576: In workflow script and ... Closed

History

#1-01/31/2017 10:17 AM - Vladimir Podstavkov
- Status changed from Assigned to Accepted

- % Done changed from 0 to 10

- Estimated time set to 2.00 h

#2 - 02/01/2017 04:59 PM - Vito Di Benedetto
- Target version deleted (v1_0_0)

#3 - 02/01/2017 05:30 PM - Vito Di Benedetto

- Target version settov1_1_0 _RC

#4 - 02/16/2017 11:52 AM - Vito Di Benedetto
- Description updated

#5 - 03/01/2017 04:35 PM - Anna Mazzacane

- Status changed from Accepted to Work in progress

#6 - 03/02/2017 01:25 PM - Vito Di Benedetto
- Parent task set to #15576

#7 - 03/02/2017 01:28 PM - Vito Di Benedetto
- Parent task deleted (#15576)
#8 - 03/03/2017 11:10 AM - Vito Di Benedetto
- Related to Task #15576: In workflow script and cfg add support to set the sort criteria for each Cl phase added

#9 - 03/03/2017 11:11 AM - Vito Di Benedetto
- % Done changed from 100 to 10
- Estimated time set to 2.00 h

#10 - 03/06/2017 03:58 PM - Vito Di Benedetto
- Target version changed fromvi_1_0 RCtovi_2 0 RC

#11 - 03/08/2017 01:14 PM - Vito Di Benedetto

- Subject changed from Use independent sort criteria for each Cl phase to Use configurable sort criteria for each Cl phase

#12 - 04/20/2017 03:39 PM - Vito Di Benedetto
- Target version deleted (v1_2_0_RC)

#13 - 04/27/2017 03:54 PM - Vito Di Benedetto

- Target version settovi_4 0 RC

#14 - 09/29/2017 11:36 AM - Vladimir Podstavkov
- % Done changed from 10 to 80
- Estimated time changed from 2.00 h to 6.00 h

#15 - 09/29/2017 11:39 AM - Vladimir Podstavkov
- % Done changed from 80 to 90

#16 - 09/29/2017 03:16 PM - Vladimir Podstavkov

- Status changed from Work in progress to Resolved

#17 - 09/29/2017 03:16 PM - Vladimir Podstavkov
- % Done changed from 90 to 100

#18 - 09/29/2017 03:30 PM - Vito Di Benedetto

- Status changed from Resolved to Closed
